Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042041
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformtrivialhave not tried2019-10-16 13:592019-12-12 23:01
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revisionfbbd616f1179
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042041: The error message when rescheduling a process fails is not translatable

DescriptionThe error message shown when rescheduling a process fails is not translatable
Steps To Reproduce1) Apply the attached patch to force an error when rescheduling a process
2) Go to the [Process Request] and create a new record
 - Process: <any>
 - Timing: Schedule
 - Frequency: Daily
 - Daily Options: Every n days
 - Daily Interval: 1
3) Schedule the process
4) Unschedule the process
5) Reschedule the process. Note that the error message is wrong. See attached Image.
TagsNo tags attached.
Attached Filespng file icon reschedError.png [^] (19,235 bytes) 2019-10-16 13:59


diff file icon forceSchedError.diff [^] (887 bytes) 2019-10-16 14:00 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0042044 closedcaristu Duplicated code in ScheduleProcess and RescheduleProcess 

-  Notes
(0115125)
hgbot (developer)
2019-10-16 17:17

Repository: erp/devel/pi
Changeset: fbbd616f1179444f65f55b98bdc7160e58da1021
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Oct 16 16:58:08 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/fbbd616f1179444f65f55b98bdc7160e58da1021 [^]

fixes bug 42041: rescheduling error message is not translatable

---
M src/org/openbravo/erpCommon/ad_process/RescheduleProcess.java
---
(0115126)
hgbot (developer)
2019-10-16 17:17

Repository: erp/devel/pi
Changeset: cb2e53f2a29486d1d2855cb7ecccc8dd214edd00
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Oct 16 17:01:04 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/cb2e53f2a29486d1d2855cb7ecccc8dd214edd00 [^]

related to bug 42041: add class javadoc + minor code improvement

---
M src/org/openbravo/erpCommon/ad_process/RescheduleProcess.java
---
(0115152)
alostale (developer)
2019-10-18 07:35

reviewed
(0116251)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test
(0116252)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-10-16 13:59 caristu New Issue
2019-10-16 13:59 caristu Assigned To => platform
2019-10-16 13:59 caristu File Added: reschedError.png
2019-10-16 13:59 caristu Modules => Core
2019-10-16 13:59 caristu Triggers an Emergency Pack => No
2019-10-16 14:00 caristu File Added: forceSchedError.diff
2019-10-16 14:01 caristu Assigned To platform => caristu
2019-10-16 17:17 hgbot Checkin
2019-10-16 17:17 hgbot Note Added: 0115125
2019-10-16 17:17 hgbot Status new => resolved
2019-10-16 17:17 hgbot Resolution open => fixed
2019-10-16 17:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fbbd616f1179444f65f55b98bdc7160e58da1021 [^]
2019-10-16 17:17 hgbot Checkin
2019-10-16 17:17 hgbot Note Added: 0115126
2019-10-16 17:59 caristu Issue cloned 0042044
2019-10-16 17:59 caristu Relationship added related to 0042044
2019-10-17 09:25 caristu Review Assigned To => alostale
2019-10-18 07:35 alostale Note Added: 0115152
2019-10-18 07:35 alostale Status resolved => closed
2019-10-18 07:35 alostale Fixed in Version => 3.0PR20Q1
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116251
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116252


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker